declare type OutputNode = [string[], number, number];
declare class TrieNode {
    parent: TrieNode;
    end: boolean;
    children: {
        [firstSymbol: string]: TrieNode;
    };
    score: number;
    index: number;
    private key;
    constructor(key: string);
    getWord(): OutputNode;
}
export declare class Trie {
    root: TrieNode;
    constructor();
    findAllCommonPrefixes(ss: string[], node: TrieNode, arr: OutputNode[]): void;
    insert(word: string, score: number, index: number): void;
    commonPrefixSearch(ss: string[]): OutputNode[];
}
export {};
