"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tf = require("@tensorflow/tfjs");
var jasmine_util_1 = require("@tensorflow/tfjs-core/dist/jasmine_util");
var test_util_1 = require("./test_util");
var tokenizer_1 = require("./tokenizer");
jasmine_util_1.describeWithFlags('Universal Sentence Encoder tokenizer', tf.test_util.NODE_ENVS, function () {
    var tokenizer;
    beforeAll(function () {
        tokenizer =
            new tokenizer_1.Tokenizer(test_util_1.stubbedTokenizerVocab);
    });
    it('Trie creates a child for each unique prefix', function () {
        var childKeys = Object.keys(tokenizer.trie.root.children);
        expect(childKeys).toEqual(['▁', 'a', '.', 'I', 'l', 'i', 'k', 'e', 't']);
    });
    it('Trie commonPrefixSearch basic usage', function () {
        var commonPrefixes = tokenizer.trie.commonPrefixSearch(['l', 'i', 'k', 'e'])
            .map(function (d) { return d[0].join(''); });
        expect(commonPrefixes).toEqual(['like', 'l']);
    });
});
//# sourceMappingURL=trie_test.js.map